package com.cityguide;

import android.app.TabActivity;
import android.content.Intent;
import android.content.res.Resources;
import android.os.Bundle;
import android.widget.TabHost;
import android.widget.TabHost.TabSpec;



public class Rest_international extends TabActivity { 
    
    private TabHost mTabHost;
    private Resources mResources;
   
    
    private static final String TAG_AZ= "International";
    private static final String TAG_PRICE = "Price";
    
    
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.rest_international);
        
        mTabHost = getTabHost();      
        mResources = getResources();
       
   addInternationalTab1();
   addInternationalTab2();
   
   mTabHost.setCurrentTab(0);
    }
    
    /*
     * Pestaña 1
     */
     
    private void addInternationalTab1() {
        
        Intent intent = new Intent(this, Restaurants_international.class);
        
        TabSpec spec = mTabHost.newTabSpec(TAG_AZ);
        spec.setIndicator(mResources.getString(R.string.tag_international));
        spec.setContent(intent);

        mTabHost.addTab(spec);
  
    }
    
    /*
     * Pestaña 2
     */
    
    private void addInternationalTab2() {
        
        Intent intent = new Intent(this, Restaurants_international_price.class);
        
        TabSpec spec = mTabHost.newTabSpec(TAG_PRICE);
        spec.setIndicator(mResources.getString(R.string.tag_international2));
        spec.setContent(intent);

        mTabHost.addTab(spec);
  
    }

}